Skip to main content
Create Tool

Authorizations

X-API-Key
string
header
required

Headers

authorization
string | null
X-API-Key
string | null

Body

application/json

Request schema for creating a reusable tool.

name
string
required

Display name for the tool.

Maximum string length: 255
definition
HttpApiToolDefinition · object
required

Tool definition for HTTP API tools.

description
string | null

Description shown to the agent when deciding whether to call it.

category
enum<string>
default:http_api

Tool category. Must match definition.type.

Available options:
http_api,
end_call,
transfer_call,
transfer_agent,
calculator,
native,
integration,
mcp
icon
string | null
default:globe

Lucide icon identifier.

Maximum string length: 50
icon_color
string | null
default:#3B82F6

Hex color for the tool icon.

Maximum string length: 7

Response

Successful Response

Response schema for a reusable tool.

id
integer
required
tool_uuid
string
required
name
string
required
description
string | null
required
category
string
required
icon
string | null
required
icon_color
string | null
required
status
string
required
definition
Definition · object
required
created_at
string<date-time>
required
updated_at
string<date-time> | null
required
created_by
CreatedByResponse · object | null

Response schema for the user who created a tool.